Name:          jackson-module-mrbean
Version:       2.6.3
Release:       %mkrel 2
Summary:       An extension that implements support for POJO type materialization
License:       ASL 2.0
Group:         Development/Java
URL:           http://wiki.fasterxml.com/JacksonFeatureMaterializedBeans
Source0:       https://github.com/FasterXML/jackson-module-mrbean/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson:jackson-parent:pom:)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.ow2.asm:asm) >= 5.0.2
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)

BuildArch:     noarch

%description
Functionality for implementing interfaces and abstract types
dynamically ("bean materialization"), integrated with Jackson
(although usable externally as well).

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# disabled asm embedded copy
%pom_remove_plugin :maven-shade-plugin

%pom_xpath_remove "pom:properties/pom:osgi.private"
%pom_xpath_remove "pom:properties/pom:osgi.import"
%pom_xpath_inject "pom:properties" "
    <osgi.import>
com.fasterxml.jackson.core
,com.fasterxml.jackson.core.type
,com.fasterxml.jackson.core.util
,com.fasterxml.jackson.databind
,com.fasterxml.jackson.databind.cfg
,com.fasterxml.jackson.databind.module,
,com.fasterxml.jackson.databind.type
,org.objectweb.asm
,org.objectweb.asm.signature
</osgi.import>"

cp -p src/main/resources/META-INF/LICENSE .
cp -p src/main/resources/META-INF/NOTICE .
sed -i 's/\r//' LICENSE NOTICE

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE


%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.6.3-2.mga6
+ Revision: 982427
- Second rebuild of the java stack

* Sun Feb 28 2016 daviddavid <daviddavid> 2.6.3-1.mga6
+ Revision: 980527
- First rebuild of the java stack
- sync package jackson-module-mrbean with fedora (update to 2.6.3)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Sep 10 2015 ycantin <ycantin> 2.4.3-1.mga6
+ Revision: 875678
- imported package jackson-module-mrbean

